curl --request POST \
--url https://sandbox.api.engagexpay.com/v1/fee-calculation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_currency": "USD",
"source_amount": 3508679,
"destination_currency": "CAD",
"beneficiary_id": "ceb7e6c9-ef2a-41c2-8459-38d67ec3c655"
}
'{
"data": {
"source_currency": "USD",
"destination_currency": "CAD",
"source_amount": 3508679,
"exchange_rate": 1.45,
"destination_amount": 508679,
"valid_till": "2026-01-19T09:59:29Z",
"fee": {
"fixed": 25,
"percentage": 4,
"total": 29,
"is_fee_applied": true
}
}
}{
"message": "Authentication failed"
}Fees & FX Rates
Calculate Exchange Rates
Calculate exchange rates and applicable fees for a transaction.
POST
/
v1
/
fee-calculation
curl --request POST \
--url https://sandbox.api.engagexpay.com/v1/fee-calculation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_currency": "USD",
"source_amount": 3508679,
"destination_currency": "CAD",
"beneficiary_id": "ceb7e6c9-ef2a-41c2-8459-38d67ec3c655"
}
'{
"data": {
"source_currency": "USD",
"destination_currency": "CAD",
"source_amount": 3508679,
"exchange_rate": 1.45,
"destination_amount": 508679,
"valid_till": "2026-01-19T09:59:29Z",
"fee": {
"fixed": 25,
"percentage": 4,
"total": 29,
"is_fee_applied": true
}
}
}{
"message": "Authentication failed"
}Pass either
source_amount or destination_amount. Use beneficiary_id instead of
destination_currency to get developer-fee-aware calculations.Authorizations
Bearer token authentication. Obtain token from Issue a Token endpoint
Body
application/json
Response
Fee calculation completed successfully
Show child attributes
Show child attributes
⌘I